Debian Bug report logs - #493735
libmms-dev: Incorrect use of "this" keyword in mmsx.h

version graph

Package: libmms-dev; Maintainer for libmms-dev is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for libmms-dev is src:libmms.

Reported by: Antti Ajanki <antti.ajanki@iki.fi>

Date: Mon, 4 Aug 2008 15:15:02 UTC

Severity: normal

Tags: patch

Found in version libmms/0.4-2

Fixed in version libmms/0.6-1

Done: Fabian Greffrath <fabian+debian@greffrath.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#493735; Package libmms-dev. Full text and rfc822 format available.

Acknowledgement sent to Antti Ajanki <antti.ajanki@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antti Ajanki <antti.ajanki@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmms-dev: Incorrect use of "this" keyword in mmsx.h
Date: Mon, 04 Aug 2008 18:12:11 +0300
[Message part 1 (text/plain, inline)]
Package: libmms-dev
Version: 0.4-2
Severity: normal
Tags: patch

Hi,

the header file mmsx.h uses reserved keyword "this" as variable name.
The attached patch changes the name to a non-reserved word.

Note, that this is exactly the same issue that has already been fixed
in files mms.h and mmsh.h by 10_this_keyword.diff.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26.1 (PREEMPT)
Locale: LANG=C, LC_CTYPE=fi_FI@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages libmms-dev depends on:
ii  libglib2.0-dev                2.16.5-1   Development files for the GLib lib
ii  libmms0                       0.4-2      MMS stream protocol library - shar

libmms-dev recommends no packages.

libmms-dev suggests no packages.

-- no debconf information
[this_keyword_mmsx.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#493735; Package libmms-dev. (Mon, 31 May 2010 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans de Goede <hdegoede@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 31 May 2010 11:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 493735@bugs.debian.org (full text, mbox):

From: Hans de Goede <hdegoede@redhat.com>
To: 493735@bugs.debian.org
Subject: Re: libmms-dev: Incorrect use of "this" keyword in mmsx.h
Date: Mon, 31 May 2010 12:44:26 +0200
Note: moving to launchpad did not completely play out as planned, as the current only active developer for this projects (me) prefers git over bzr libmms has moved back to sf.net.

This is fixed in the latest upstream release:
http://downloads.sourceforge.net/project/libmms/libmms/0.6/libmms-0.6.tar.gz





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#493735; Package libmms-dev. (Mon, 31 May 2010 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans de Goede <j.w.r.degoede@hhs.nl>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 31 May 2010 12:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 493735@bugs.debian.org (full text, mbox):

From: Hans de Goede <j.w.r.degoede@hhs.nl>
To: Fabian Greffrath <greffrath@leat.rub.de>
Cc: 493735@bugs.debian.org
Subject: Re: Bug#493735: libmms-dev: Incorrect use of "this" keyword in mmsx.h
Date: Mon, 31 May 2010 14:14:53 +0200
Hi,

On 05/31/2010 02:08 PM, Fabian Greffrath wrote:
> Hi Hans,
>
> Am 31.05.2010 12:44, schrieb Hans de Goede:
>> This is fixed in the latest upstream release:
>> http://downloads.sourceforge.net/project/libmms/libmms/0.6/libmms-0.6.tar.gz
>>
>
> does the new upstream version also include the patch that adds support
> for extended stream properties, as requested here?
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=498174
>

Yes, not only does it contain that patch, but the patch has been ported to
the mmsh code as well. The code inside libmms is split in mmst and mmsh code,
and the patch linked from:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=498174

Only adds extended stream properties support to the mmst handling code,
I later ported this to the mmsh code as well. Thanks for the link
to the debian bug, now I've an uri to actually test this, and ...
it works :)

Regards,

Hans


p.s.

0.6 is fully ABI compatible with 0.4, so its a drop in replacement with
many bugfixes.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#493735; Package libmms-dev. (Mon, 31 May 2010 12:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 31 May 2010 12:15:05 GMT) Full text and rfc822 format available.

Message #20 received at 493735@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: Hans de Goede <hdegoede@redhat.com>, 493735@bugs.debian.org
Subject: Re: Bug#493735: libmms-dev: Incorrect use of "this" keyword in mmsx.h
Date: Mon, 31 May 2010 14:08:48 +0200
Hi Hans,

Am 31.05.2010 12:44, schrieb Hans de Goede:
> This is fixed in the latest upstream release:
> http://downloads.sourceforge.net/project/libmms/libmms/0.6/libmms-0.6.tar.gz

does the new upstream version also include the patch that adds support 
for extended stream properties, as requested here?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=498174

Cheers,
Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#493735; Package libmms-dev. (Mon, 31 May 2010 13:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 31 May 2010 13:36:06 GMT) Full text and rfc822 format available.

Message #25 received at 493735@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: Hans de Goede <j.w.r.degoede@hhs.nl>
Cc: 493735@bugs.debian.org, arthur.loiret@gmail.com
Subject: Re: Bug#493735: libmms-dev: Incorrect use of "this" keyword in mmsx.h
Date: Mon, 31 May 2010 15:35:58 +0200
Am 31.05.2010 14:14, schrieb Hans de Goede:
> Only adds extended stream properties support to the mmst handling code,
> I later ported this to the mmsh code as well. Thanks for the link
> to the debian bug, now I've an uri to actually test this, and ...
> it works :)

That's very good news, thanks!

> 0.6 is fully ABI compatible with 0.4, so its a drop in replacement with
> many bugfixes.

Since this would have been my next question, anyway, that's even 
better news. ;)

IMHO these are enough reasons to upgrade to the new library version in 
Debian. However, I'd like to give Arthur the chance to do so before I 
get active myself.

Cheers,
Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#493735; Package libmms-dev. (Tue, 01 Jun 2010 13:18:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 01 Jun 2010 13:18:12 GMT) Full text and rfc822 format available.

Message #30 received at 493735@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: 493735@bugs.debian.org
Cc: Hans de Goede <j.w.r.degoede@hhs.nl>, arthur.loiret@gmail.com
Subject: Re: Bug#493735: libmms-dev: Incorrect use of "this" keyword in mmsx.h
Date: Tue, 01 Jun 2010 15:19:02 +0200
Am 31.05.2010 15:35, schrieb Fabian Greffrath:
> IMHO these are enough reasons to upgrade to the new library version in
> Debian. However, I'd like to give Arthur the chance to do so before I
> get active myself.

Arthur?!




Reply sent to Fabian Greffrath <fabian+debian@greffrath.com>:
You have taken responsibility. (Wed, 09 Jun 2010 13:51:14 GMT) Full text and rfc822 format available.

Notification sent to Antti Ajanki <antti.ajanki@iki.fi>:
Bug acknowledged by developer. (Wed, 09 Jun 2010 13:51:14 GMT) Full text and rfc822 format available.

Message #35 received at 493735-close@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian+debian@greffrath.com>
To: 493735-close@bugs.debian.org
Subject: Bug#493735: fixed in libmms 0.6-1
Date: Wed, 09 Jun 2010 13:48:31 +0000
Source: libmms
Source-Version: 0.6-1

We believe that the bug you reported is fixed in the latest version of
libmms, which is due to be installed in the Debian FTP archive:

libmms-dev_0.6-1_i386.deb
  to main/libm/libmms/libmms-dev_0.6-1_i386.deb
libmms0_0.6-1_i386.deb
  to main/libm/libmms/libmms0_0.6-1_i386.deb
libmms_0.6-1.diff.gz
  to main/libm/libmms/libmms_0.6-1.diff.gz
libmms_0.6-1.dsc
  to main/libm/libmms/libmms_0.6-1.dsc
libmms_0.6.orig.tar.gz
  to main/libm/libmms/libmms_0.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493735@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabian Greffrath <fabian+debian@greffrath.com> (supplier of updated libmms package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 09 Jun 2010 10:37:24 +0200
Source: libmms
Binary: libmms-dev libmms0
Architecture: source i386
Version: 0.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Fabian Greffrath <fabian+debian@greffrath.com>
Description: 
 libmms-dev - MMS stream protocol library - development files
 libmms0    - MMS stream protocol library - shared library
Closes: 362657 448559 470806 493735 498174 501068 517105 552127
Changes: 
 libmms (0.6-1) unstable; urgency=low
 .
   * Imported Upstream version 0.6
     + Includes support for extended stream properties (Closes: #498174).
     + Includes many bug fixes (Closes: #517105, #552127, #448559, #470806,
       #501068). All tried to reproduce by upstream with Fedora-13 x86_64 (so a
       pretty brand spanking new gstreamer stack) with libmms-0.6 installed.
   * Add myself to Uploaders.
   * Update Arthur's e-mail address.
   * Wrap lines in debian/control.
   * Bump Standards-Version to 3.8.4.
   * Fix binary-control-field-duplicates-source.
   * Add Homepage field to debian/control.
   * Add Vcs-* fields to debian/control.
   * Remove 11_nested_comments.diff, applied upstream.
   * Add patch from upstream GIT to remove unneeded bswap.h from public
     headers and avoid needless dependency on glib.h, remove
     Depends: libglib2.0-dev from libmms-dev. (Closes: #362657).
   * Add patch from upstream GIT to not incorrectly use the reserved
     keyword "this" as a variable name (Closes: #493735).
   * Add Depends: ${misc:Depends} to libmms-dev.
   * Convert Debian packaging to dh 7, use dh_quilt*
     and remove unnecessary chrpath usage.
   * Add debian/source/format, keep at "1.0" for now.
   * Add debian/README.source.
   * Add debian/gbp.conf.
   * Add .gitignore.
   * Add debian/libmms0.symbols.
   * Drop the replacement of config.{sub,guess} altogether, the ones
     upstream provides are newer than those in current Debian stable.
   * Improve debian/copyright.
Checksums-Sha1: 
 4cb5987698983cd04c7451a4864300ad5a50e39e 1468 libmms_0.6-1.dsc
 d93b9c27e6c83f288e1672029aa3c081270b669b 334519 libmms_0.6.orig.tar.gz
 fbb596a52e91818d7e355eef01af258bc3b24d29 6698 libmms_0.6-1.diff.gz
 431ed8340d9f1514860abb6215ae2e0180955679 41772 libmms-dev_0.6-1_i386.deb
 f1607f454f501cc18f3b4801039702ba43d2b7b3 36702 libmms0_0.6-1_i386.deb
Checksums-Sha256: 
 89e8a69807fbac291b913cb7865b564500545eb48418075e4860703f775ceef1 1468 libmms_0.6-1.dsc
 1f894f33b5e0334bd7c75343480bdf3a9cf79232aa92085c03f1a67e7d4ceb9d 334519 libmms_0.6.orig.tar.gz
 b2928413be12c2dc008ed3e8a8e9f317e27781f365a98e92092d9069525fda1d 6698 libmms_0.6-1.diff.gz
 816164efa0173ff6dd64ed87a6292f5161613cf6e6ebad66420e8760f93fffb1 41772 libmms-dev_0.6-1_i386.deb
 a0cd37f3e372828a6c19ed488f08d2c888837aa074b7f7c26b31dc234a398022 36702 libmms0_0.6-1_i386.deb
Files: 
 b4167221c70fceb5ec0685df857507f0 1468 libs optional libmms_0.6-1.dsc
 650ad04a4c8bd79246390b81b29680b6 334519 libs optional libmms_0.6.orig.tar.gz
 3b7f0348e77a8e65e028f0fed4f40272 6698 libs optional libmms_0.6-1.diff.gz
 b4080e4b90b35a1a9b7ce04aa642cefa 41772 libdevel optional libmms-dev_0.6-1_i386.deb
 026e36c6f4fea001ba748f33da593094 36702 libs optional libmms0_0.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Debian Powered!

iJwEAQECAAYFAkwPiacACgkQ78RAoABp8o9YDgP/QTRG2tHZQY4F/ohDiKrwweJM
KiWDwFpchcXJmmzYQKsGnF6K/ILCDExx1nNylnK0Q7nYHSqbBzpXyiW5rpaMgpyu
SYC2xGCYtrU48bgE3sqF5EFMNRjJcxdz+pP3Lk+gDwqijTfmzmV67KdE7ubY4Dyl
ASix8mZ9aV8DIupP4jo=
=Ly2/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Jul 2010 07:31:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:40:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.